package de.mrbesen.youtubecrawler;

import org.json.JSONObject;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

import javax.xml.datatype.DatatypeConfigurationException;
import java.util.Map;

public class YoutubeAPITest {

	@Test
	public void testgetVideo() {
		YoutubeAPI api = new YoutubeAPI(System.getenv("YOUTUBEAPIKEY"));

		Crawler.Video vid = api.getInfo("gsvKF2ojUzs");

		Assertions.assertEquals(vid.id, "gsvKF2ojUzs");
		Assertions.assertEquals(vid.title, "Mikebøi - Missed");
		Assertions.assertEquals(vid.channel, "Trap Nation");
		Assertions.assertEquals(vid.tags, "mikeboi missed,trap nation,trapnation,трап натион,electronic music 2020,Trap,Electronic Dance Music,missed trap nation,trap music,Electronic Music,Trap Music,Dance Music,missed mike boi,gaming music,Trap Music 2017,mike boy missed,mikebøi - missed,нас не догонят ремикс,Trap Nation,TrapNation,Mikebøi - Missed,trap nation 2020,trap music 2020 remix,EDM,missed mikeboi,music");
		Assertions.assertEquals(vid.length, 213);
		Assertions.assertEquals(vid.languageCode, "en");
		Assertions.assertEquals(vid.categorie, 10);
		Assertions.assertEquals(vid.created, 1491571496);
		Assertions.assertFalse(vid.live);

		Map<Integer, String> obj = api.getCategories();

		Assertions.assertNotNull(obj);
	}
}
